Fetch a single accounting entry by id.
curl --request GET \
--url https://external.pleo.io/v1/accounting-entries/{accountingEntryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/accounting-entries/{accountingEntryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/accounting-entries/{accountingEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attendees": [
{
"attendableId": "<string>",
"attendableType": "CONTACT",
"id": "<string>"
}
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"exportStatus": "CREATED",
"family": "BALANCE_AMENDMENT",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"performedAt": "2023-11-07T05:31:56Z",
"receiptIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reviewStatus": "NOT_OK",
"splitItems": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"tagGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"accountCode": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalBillValue": {
"currency": "EUR",
"minors": 10
},
"transactionValue": {
"currency": "EUR",
"minors": 10
}
}
],
"status": "DRAFT",
"tags": [
{
"tagGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"transactionValue": {
"currency": "EUR",
"minors": 10
},
"updatedAt": "2023-11-07T05:31:56Z",
"accountCode": "<string>",
"accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bookkeepingDate": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"foreignExtensionId": "<string>",
"merchant": {
"address": {},
"externalMerchantId": "<string>",
"merchantCategoryCode": "<string>",
"name": "<string>"
},
"note": "<string>",
"settledAt": "2023-11-07T05:31:56Z",
"subFamily": "ATM",
"supplier": {
"cif": "<string>",
"documentNumber": "<string>",
"documentType": "FACTURA",
"externalAccountNumber": "<string>",
"externalSupplierId": "<string>"
},
"taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalBillValue": {
"currency": "EUR",
"minors": 10
}
}
}Accounting Entries API v1
Fetch a single accounting entry by id.
GET
/
v1
/
accounting-entries
/
{accountingEntryId}
Fetch a single accounting entry by id.
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
The specific accounting entry ID that you are looking for.
Query Parameters
Set this to true if you want to include deleted accounting entries.
Response
The accounting entry for the specified ID.
Show child attributes
Show child attributes
Was this page helpful?
⌘I